(function () {
  'use strict';
  themeManager.init();

}());



var csInterface=new CSInterface,gExtensionId="UltimateRetouch3", event=new CSEvent("com.adobe.PhotoshopPersistent", "APPLICATION")


event.extensionId=gExtensionId;
csInterface.dispatchEvent(event);

function onLoaded(){
    var a=new CSInterface;b=a.hostEnvironment.appName;"FLPR"!=b&&loadJSX();
    for(var c=["PHXS"],e=0;e<c.length;e++){var d=c[e];if(0<=b.indexOf(d)&&(d=document.getElementById("btn_"+d)))d.disabled=!1}updateThemeWithAppSkinInfo(a.hostEnvironment.appSkinInfo);
     a.addEventListener(CSInterface.THEME_COLOR_CHANGED_EVENT,onAppThemeColorChanged)}

var extensionRoot=csInterface.getSystemPath(SystemPath.EXTENSION)+"/jsx/scripts/"; 

function loadJSX(){
    var a=new CSInterface,c=a.getSystemPath(SystemPath.EXTENSION)+"/jsx/";
    a.evalScript('$._ext.evalFiles("'+c+'")')}

function evalScript(a,c){(new CSInterface).evalScript(a,c)}
function openUrl(a){csInterface.openURLInDefaultBrowser(a)}



$(document).ready(function(){loadJSX();
                             
                             
                             

                             
                             $("#1b-1").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'1/1.jsx")')});
                             $("#1b-2").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'1/2.jsx")')});
                             $("#1b-3").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'1/3.jsx")')});
                             $("#1b-4").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'1/4.jsx")')});
                             $("#1b-5").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'1/5.jsx")')});
                             $("#1b-6").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'1/6.jsx")')});
                             $("#1b-7").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'1/7.jsx")')});
                             $("#1b-8").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'1/8.jsx")')});
                             $("#1b-9").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'1/9.jsx")')});
                             $("#1b-10").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'1/10.jsx")')});
                             $("#1b-11").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'1/11.jsx")')});
                             $("#1b-12").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'1/12.jsx")')});
                             $("#1b-13").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'1/13.jsx")')});
                             $("#1b-14").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'1/14.jsx")')});
                             $("#1b-15").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'1/15.jsx")')});
                             $("#1b-16").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'1/16.jsx")')});
                             $("#1b-17").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'1/17.jsx")')});
                             $("#1b-18").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'1/18.jsx")')});
                             $("#1b-19").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'1/19.jsx")')});
                             $("#1b-20").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'1/20.jsx")')});
                             $("#1b-21").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'1/21.jsx")')});
                             
                             $("#2b-1").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'2/1.jsx")')});
                             $("#2b-2").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'2/2.jsx")')});
                             $("#2b-3").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'2/3.jsx")')});
                             $("#2b-4").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'2/4.jsx")')});
                             $("#2b-5").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'2/5.jsx")')});
                             $("#2b-6").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'2/6.jsx")')});
                             $("#2b-7").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'2/7.jsx")')});
                             $("#2b-8").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'2/8.jsx")')});
                             $("#2b-9").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'2/9.jsx")')});
                             $("#2b-10").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'2/10.jsx")')});
                             $("#2b-11").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'2/11.jsx")')});
                             $("#2b-12").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'2/12.jsx")')});
                             $("#2b-77").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'2/77.jsx")')});
                             $("#2b-14").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'2/14.jsx")')});
                             $("#2b-15").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'2/15.jsx")')});
                             $("#2b-16").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'2/16.jsx")')});
                             $("#2b-17").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'2/17.jsx")')});
                             $("#2b-18").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'2/18.jsx")')});
                             $("#2b-19").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'2/19.jsx")')});

                             $("#2b-21").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'2/21.jsx")')});
                             $("#2b-22").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'2/22.jsx")')});
                             $("#2b-23").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'2/23.jsx")')});
                             $("#2b-24").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'2/24.jsx")')});
                             $("#2b-25").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'2/25.jsx")')});
                             $("#2b-26").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'2/26.jsx")')});
                             $("#2b-27").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'2/27.jsx")')});
                             
                             $("#i_dodge").button().click(function(a){evalScript("$.UltimateRetouch.select_dodge_tool()")});
                             $("#i_burn").button().click(function(a){evalScript("$.UltimateRetouch.select_burn_tool()")});
                             $("#i_clone").button().click(function(a){evalScript("$.UltimateRetouch.select_clone_tool()")});
                             $("#i_brush").button().click(function(a){evalScript("$.UltimateRetouch.select_brush_tool()")});
                             $("#i_brush3").button().click(function(a){evalScript("$.UltimateRetouch.select_brush_tool()")});
                             $("#i_heal").button().click(function(a){evalScript("$.UltimateRetouch.select_heal_tool()")});
                             $("#i_heal").button().click(function(a){evalScript("$.UltimateRetouch.select_heal_tool()")});
                             $("#i_heal2").button().click(function(a){evalScript("$.UltimateRetouch.select_heal_tool2()")});
                             $("#i_heal3").button().click(function(a){evalScript("$.UltimateRetouch.select_heal_tool()")});
                             $("#i_heal3").button().click(function(a){evalScript("$.UltimateRetouch.select_heal_tool()")});
                             $("#i_heal23").button().click(function(a){evalScript("$.UltimateRetouch.select_heal_tool2()")});
                             $("#i_mixer").button().click(function(a){evalScript("$.UltimateRetouch.select_mixBrush_tool()")});
                             $("#i_mixer3").button().click(function(a){evalScript("$.UltimateRetouch.select_mixBrush_tool()")});
                             $("#i_mixer3").button().click(function(a){evalScript("$.UltimateRetouch.select_mixBrush_tool()")});
                             $("#i_patch").button().click(function(a){evalScript("$.UltimateRetouch.select_patch_tool()")});
                             $("#i_patch3").button().click(function(a){evalScript("$.UltimateRetouch.select_patch_tool()")});

                             $("#3b-1").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'3/1.jsx")')});
                             $("#3b-2").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'3/2.jsx")')});
                             $("#3b-3").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'3/3.jsx")')});
                             $("#3b-4").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'3/4.jsx")')});
                             $("#3b-5").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'3/5.jsx")')});
                             $("#3b-6").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'3/6.jsx")')});
                             $("#3b-7").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'3/7.jsx")')});
                             $("#3b-8").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'3/8.jsx")')});
                             $("#3b-9").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'3/9.jsx")')});
                             $("#3b-10").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'3/10.jsx")')});
                             $("#3b-11").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'3/11.jsx")')});
                             $("#3b-12").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'3/12.jsx")')});
                             $("#3b-15").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'3/15.jsx")')});
                             
                             $("#4b-1").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'4/1.jsx")')});
                             $("#4b-2").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'4/2.jsx")')});
                             $("#4b-3").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'4/3.jsx")')});
                             $("#4b-4").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'4/4.jsx")')});
                             $("#4b-5").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'4/5.jsx")')});
                             $("#4b-6").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'4/6.jsx")')});
                             $("#4b-7").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'4/7.jsx")')});
                             $("#4b-8").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'4/8.jsx")')});
                             $("#4b-9").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'4/9.jsx")')});
                             $("#4b-10").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'4/10.jsx")')});
                             $("#4b-11").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'4/11.jsx")')});
                             $("#4b-12").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'4/12.jsx")')});
                             $("#4b-13").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'4/13.jsx")')});
                             $("#4b-14").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'4/14.jsx")')});
                             $("#4b-15").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'4/15.jsx")')});
                             $("#4b-16").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'4/16.jsx")')});
                             $("#4b-17").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'4/17.jsx")')});
                             $("#4b-18").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'4/18.jsx")')});
                             $("#4b-19").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'4/19.jsx")')});
                             $("#4b-20").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'4/20.jsx")')});
                             $("#4b-21").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'4/21.jsx")')});
                             $("#4b-22").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'4/22.jsx")')});
                             $("#4b-23").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'4/23.jsx")')});
                             $("#4b-24").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'4/24.jsx")')});
                             $("#4b-25").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'4/25.jsx")')});
                             $("#4b-26").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'4/26.jsx")')});
                             $("#4b-27").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'4/27.jsx")')});
                             $("#4b-28").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'4/28.jsx")')});
                             
                             $("#5b-1").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'5/1.jsx")')});
                             $("#5b-2").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'5/2.jsx")')});
                             $("#5b-3").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'5/3.jsx")')});
                             $("#5b-4").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'5/4.jsx")')});
                             $("#5b-5").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'5/5.jsx")')});
                             $("#5b-6").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'5/6.jsx")')});
                             $("#5b-7").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'5/7.jsx")')});
                             $("#5b-8").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'5/8.jsx")')});
                             $("#5b-9").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'5/9.jsx")')});
                             $("#5b-10").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'5/10.jsx")')});
                             $("#5b-11").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'5/11.jsx")')});
                             $("#5b-12").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'5/12.jsx")')});
                             $("#5b-13").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'5/13.jsx")')});
                             $("#5b-14").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'5/14.jsx")')});
                             $("#5b-15").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'5/15.jsx")')});
                             $("#5b-16").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'5/16.jsx")')});
                             $("#5b-17").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'5/17.jsx")')});
                             $("#5b-18").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'5/18.jsx")')});
                             $("#5b-19").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'5/19.jsx")')});
                             $("#5b-20").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'5/20.jsx")')});
                             $("#5b-21").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'5/21.jsx")')});
                             $("#5b-22").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'5/22.jsx")')});
                             $("#5b-23").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'5/23.jsx")')});
                             $("#5b-24").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'5/24.jsx")')});
                             $("#5b-25").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'5/25.jsx")')});
                             $("#5b-26").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'5/26.jsx")')});
                             $("#5b-27").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'5/27.jsx")')});
                             $("#5b-28").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'5/28.jsx")')});
                             $("#5b-29").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'5/29.jsx")')});
                             $("#5b-30").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'5/30.jsx")')});
                             $("#5b-31").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'5/31.jsx")')});
                             $("#5b-32").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'5/32.jsx")')});
                             $("#5b-33").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'5/33.jsx")')});
                             $("#5b-34").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'5/34.jsx")')});
                             $("#5b-35").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'5/35.jsx")')});
                             $("#5b-36").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'5/36.jsx")')});
                             $("#5b-37").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'5/37.jsx")')});
                             $("#5b-38").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'5/38.jsx")')});
                             $("#5b-39").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'5/39.jsx")')});
                             $("#5b-40").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'5/40.jsx")')});
                             $("#5b-41").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'5/41.jsx")')});
                             $("#5b-42").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'5/42.jsx")')});
                             $("#5b-43").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'5/43.jsx")')});
                             $("#5b-44").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'5/44.jsx")')});
                             $("#5b-45").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'5/45.jsx")')});
                             $("#5b-46").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'5/46.jsx")')});
                             $("#5b-47").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'5/47.jsx")')});
                             $("#5b-48").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'5/48.jsx")')});
                             $("#5b-49").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'5/49.jsx")')});
                             $("#5b-50").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'5/50.jsx")')});
                             $("#5b-51").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'5/51.jsx")')});
                             $("#5b-52").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'5/52.jsx")')});
                             $("#5b-53").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'5/53.jsx")')});
                             $("#5b-54").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'5/54.jsx")')});
                             $("#5b-55").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'5/55.jsx")')});
                             $("#5b-56").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'5/56.jsx")')});
                             $("#5b-57").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'5/57.jsx")')});
                             $("#5b-58").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'5/58.jsx")')});
                             $("#5b-59").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'5/59.jsx")')});
                             $("#5b-60").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'5/60.jsx")')});
                             $("#5b-61").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'5/61.jsx")')});
                             $("#5b-62").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'5/62.jsx")')});
                             $("#5b-63").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'5/63.jsx")')});
                             $("#5b-64").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'5/64.jsx")')});
                             $("#5b-71").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'5/71.jsx")')});
                             $("#5b-72").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'5/72.jsx")')});
                             $("#5b-73").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'5/73.jsx")')});
                             $("#5b-74").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'5/74.jsx")')});
                             $("#5b-75").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'5/75.jsx")')});
                             
                             $("#5c-00").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'5-2/0.jsx")')});
                             $("#5c-1").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'5-2/1.jsx")')});
                             $("#5c-2").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'5-2/2.jsx")')});
                             $("#5c-3").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'5-2/3.jsx")')});
                             $("#5c-4").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'5-2/4.jsx")')});
                             $("#5c-5").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'5-2/5.jsx")')});
                             $("#5c-6").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'5-2/6.jsx")')});
                             $("#5c-7").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'5-2/7.jsx")')});
                             $("#5c-8").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'5-2/8.jsx")')});
                             $("#5c-9").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'5-2/9.jsx")')});
                             $("#5c-10").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'5-2/10.jsx")')});
                             $("#5c-11").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'5-2/11.jsx")')});
                             $("#5c-12").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'5-2/12.jsx")')});
                             $("#5c-13").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'5-2/13.jsx")')});
                             $("#5c-14").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'5-2/14.jsx")')});
                             $("#5c-15").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'5-2/15.jsx")')});
                             $("#5c-16").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'5-2/16.jsx")')});
                             $("#5c-17").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'5-2/17.jsx")')});
                             $("#5c-18").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'5-2/18.jsx")')});
                             $("#5c-19").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'5-2/19.jsx")')});
                             $("#5c-20").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'5-2/20.jsx")')});
                             $("#5c-21").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'5-2/21.jsx")')});
                             $("#5c-22").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'5-2/22.jsx")')});
                             $("#5c-23").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'5-2/23.jsx")')});
                             $("#5c-24").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'5-2/24.jsx")')});
                             $("#5c-25").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'5-2/25.jsx")')});
                             $("#5c-26").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'5-2/26.jsx")')});
                             $("#5c-27").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'5-2/27.jsx")')});
                             $("#5c-28").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'5-2/28.jsx")')});
                             $("#5c-29").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'5-2/29.jsx")')});
                             $("#5c-30").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'5-2/30.jsx")')});
                             $("#5c-31").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'5-2/31.jsx")')});
                             $("#5c-32").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'5-2/32.jsx")')});
                             $("#5c-33").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'5-2/33.jsx")')});
                             $("#5c-34").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'5-2/34.jsx")')});
                             $("#5c-35").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'5-2/35.jsx")')});
                             $("#5c-36").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'5-2/36.jsx")')});
                             $("#5c-37").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'5-2/37.jsx")')});
                             $("#5c-38").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'5-2/38.jsx")')});
                             $("#5c-39").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'5-2/39.jsx")')});
                             $("#5c-40").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'5-2/40.jsx")')});
                             $("#5c-41").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'5-2/41.jsx")')});
                             $("#5c-42").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'5-2/42.jsx")')});
                             $("#5c-43").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'5-2/43.jsx")')});
                             $("#5c-44").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'5-2/44.jsx")')});
                             $("#5c-45").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'5-2/45.jsx")')});
                             $("#5c-46").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'5-2/46.jsx")')});
                             $("#5c-47").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'5-2/47.jsx")')});
                             $("#5c-48").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'5-2/48.jsx")')});
                             $("#5c-49").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'5-2/49.jsx")')});
                             $("#5c-50").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'5-2/50.jsx")')});
                             $("#5c-51").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'5-2/51.jsx")')});
                             $("#5c-52").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'5-2/52.jsx")')});
                             $("#5c-53").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'5-2/53.jsx")')});
                             $("#5c-54").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'5-2/54.jsx")')});
                             $("#5c-55").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'5-2/55.jsx")')});
                             $("#5c-56").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'5-2/56.jsx")')});
                             $("#5c-57").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'5-2/57.jsx")')});
                             $("#5c-58").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'5-2/58.jsx")')});
                             $("#5c-59").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'5-2/59.jsx")')});
                             $("#5c-60").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'5-2/60.jsx")')});
                             $("#5c-61").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'5-2/61.jsx")')});
                             $("#5c-62").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'5-2/62.jsx")')});
                             $("#5c-63").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'5-2/63.jsx")')});
                             $("#5c-64").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'5-2/64.jsx")')});
                             
                             
                             $("#6b-1").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'6/1.jsx")')});
                             $("#6b-2").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'6/2.jsx")')});
                             $("#6b-3").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'6/3.jsx")')});
                             $("#6b-4").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'6/4.jsx")')});
                             $("#6b-5").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'6/5.jsx")')});
                             $("#6b-6").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'6/6.jsx")')});
                             $("#6b-7").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'6/7.jsx")')});
                             $("#6b-8").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'6/8.jsx")')});
                             $("#6b-9").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'6/9.jsx")')});
                             $("#6b-10").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'6/10.jsx")')});
                             $("#6b-11").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'6/11.jsx")')});
                             $("#6b-12").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'6/12.jsx")')});
                             $("#6b-13").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'6/13.jsx")')});
                             $("#6b-14").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'6/14.jsx")')});
                             $("#6b-15").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'6/15.jsx")')});
                             $("#6b-16").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'6/16.jsx")')});
                             $("#6b-17").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'6/17.jsx")')});
                             $("#6b-18").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'6/18.jsx")')});
                             $("#6b-19").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'6/19.jsx")')});
                             $("#6b-20").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'6/20.jsx")')});
                             $("#6b-21").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'6/21.jsx")')});
                             $("#6b-22").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'6/22.jsx")')});
                             $("#6b-23").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'6/23.jsx")')});
                             $("#6b-24").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'6/24.jsx")')});
                             
                             $("#7b-1").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'7/1.jsx")')});
                             $("#7b-2").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'7/2.jsx")')});
                             $("#7b-3").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'7/3.jsx")')});
                             $("#7b-4").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'7/4.jsx")')});
                             $("#7b-5").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'7/5.jsx")')});
                             $("#7b-6").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'7/6.jsx")')});
                             $("#7b-7").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'7/7.jsx")')});
                             $("#7b-8").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'7/8.jsx")')});
                             $("#7b-9").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'7/9.jsx")')});
                             $("#7b-10").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'7/10.jsx")')});
                             $("#7b-11").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'7/11.jsx")')});
                             $("#7b-12").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'7/12.jsx")')});
                             $("#7b-13").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'7/13.jsx")')});
                             $("#7b-14").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'7/14.jsx")')});
                             $("#7b-15").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'7/15.jsx")')});
                             $("#7b-16").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'7/16.jsx")')});
                             $("#7b-17").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'7/17.jsx")')});
                             $("#7b-18").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'7/18.jsx")')});
                             $("#7b-19").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'7/19.jsx")')});
                             $("#7b-20").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'7/20.jsx")')});
                             $("#7b-21").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'7/21.jsx")')});
                             $("#7b-22").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'7/22.jsx")')});
                             $("#7b-23").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'7/23.jsx")')});
                             $("#7b-24").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'7/24.jsx")')});
                             $("#7b-25").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'7/25.jsx")')});
                             $("#7b-26").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'7/26.jsx")')});
                             $("#7b-27").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'7/27.jsx")')});
                             $("#7b-28").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'7/28.jsx")')});
                             $("#7b-29").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'7/29.jsx")')});
                             $("#7b-30").button().click(function(a){csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'7/30.jsx")')});
            

							 });


//localStorage.clear();		

function timeDelay2(globalLink, previewImage) {
    csInterface.evalScript('urPresent("'+extensionRoot+'","'+globalLink+'","'+previewImage+'")', function(result) {
        if (result == 'true') {
            openUrl(globalLink)
            
        } else if (result == 'false') { 
            
            document.getElementById('linkBox').style.cssText = 'display: block';
            document.getElementById('linkBox').value = globalLink;       
            
            document.getElementById('linkBox').select();
            document.execCommand('copy');
            document.getElementById('linkBox').style.cssText = 'display: none';
            } else {
        }
    });
};

$("#CRW").button().click(function(a){
    csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'0/CRW.jsx")')
});

$("#Tutorials").button().click(function(a) {
        
    var globalLink = pLink2;
        var previewImage = "/124.png";
        timeDelay2(globalLink, previewImage);
});
    
$("#HELP").button().click(function(a){
    csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'0/HELP.jsx")')
    csInterface.evalScript('quickHelp()');
}); 


$("#LIKE").button().click(function(a) {
        var globalLink = pLink4;
        var previewImage = "/123.png";
        timeDelay2(globalLink, previewImage);
});

$("#Store").button().click(function(a) {
        var globalLink = pLink3;
        var previewImage = "/125.png";
        timeDelay2(globalLink, previewImage);
});

 


$("#2b-20").button().click(function(a){
    if (localStorage["six"] == 1) {
    csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'2/20P2.jsx")')
    } else {
    csInterface.evalScript('$._ext.evalFile("'+extensionRoot+'2/20P3.jsx")')      
    }
}); 


//======================================================================================================================================================================
//====================================================================== global css ====================================================================================
document.getElementById('linkBox').style.cssText = 'display: none';
document.getElementById('form').style.cssText = 'margin-top: 4px; margin-bottom: 4px; margin-left: 5%; font-size: 14px';
//document.getElementById('linkBox').style.cssText = 'margin-top: 4px;';
//======================================================================================================================================================================
//======================================================================================================================================================================
